from distutils.core import setup, Extension
#from setuptools import setup, Extension
# platform.machine() = i686| x86_64| x86| AMD64
# platform.system()  =        Linux| Windows
#
import os,platform
labcom_dir = os.getenv("Retrieve")
if labcom_dir == None :
	labcom_dir = "/usr/labcom"

if platform.machine().find('64' ) != -1 :
	if platform.system().find('Windows') != -1 :
		RETRIEVE_LIB_DIR=labcom_dir+'/win_sdk/lib64'
		RETRIEVE_INC_DIR=labcom_dir+'/win_sdk/include'
		LIB_RETRIEVE='Retrieve'
		LIB_DBSTORE='dbstoredll'
		ext_macros = [('WIN32',None),('WIN64',None)]
		src_scripts=['labcom/SamplePlot.py','labcom/SampleDBstore.py','labcom/SampleImage.py',
	         'scripts/SamplePlot.cmd','scripts/SampleDBstore.cmd','scripts/SampleImage.cmd']
		retrieve_sources = ["src/retrieve_py_sjis.cpp"]
		dbstore_sources = ["src/dbstore_py_sjis.cpp"]
	elif platform.system().find('Darwin') != -1 :
		RETRIEVE_LIB_DIR=labcom_dir+'/lib/C/maci64'
		RETRIEVE_INC_DIR=labcom_dir+'/include'
		LIB_RETRIEVE='Retrieve'
		LIB_DBSTORE='Dbstore'
		ext_macros = []
		src_scripts=['labcom/SamplePlot.py','labcom/SampleDBstore.py','labcom/SampleImage.py']
		retrieve_sources = ["src/retrieve_py.cpp"]
		dbstore_sources = ["src/dbstore_py.cpp"]
	else :
		RETRIEVE_LIB_DIR=labcom_dir+'/bin64'
		RETRIEVE_INC_DIR=labcom_dir+'/include'
		LIB_RETRIEVE='retrieve'
		LIB_DBSTORE='dbstore'
		ext_macros = []
		src_scripts=['labcom/SamplePlot.py','labcom/SampleDBstore.py','labcom/SampleImage.py']
		retrieve_sources = ["src/retrieve_py.cpp"]
		dbstore_sources = ["src/dbstore_py.cpp"]
else :
	if platform.system().find('Windows') != -1 :
		RETRIEVE_LIB_DIR=labcom_dir+'/win_sdk/lib'
		RETRIEVE_INC_DIR=labcom_dir+'/win_sdk/include'
		LIB_RETRIEVE='Retrieve'
		LIB_DBSTORE='dbstoredll'
		ext_macros = [('WIN32',None)]
		src_scripts=['labcom/SamplePlot.py','labcom/SampleDBstore.py','labcom/SampleImage.py',
	         'scripts/SamplePlot.cmd','scripts/SampleDBstore.cmd','scripts/SampleImage.cmd']
		retrieve_sources = ["src/retrieve_py_sjis.cpp"]
		dbstore_sources = ["src/dbstore_py_sjis.cpp"]
	else :
		RETRIEVE_LIB_DIR=labcom_dir+'/bin'
		RETRIEVE_INC_DIR=labcom_dir+'/include'
		LIB_RETRIEVE='retrieve'
		LIB_DBSTORE='dbstore'
		ext_macros = []
		src_scripts=['labcom/SamplePlot.py','labcom/SampleDBstore.py','labcom/SampleImage.py']
		retrieve_sources = ["src/retrieve_py.cpp"]
		dbstore_sources = ["src/dbstore_py.cpp"]

if not os.path.exists(RETRIEVE_INC_DIR+'/retrieve.h') :
	raise IOError('Not found retrieve.h')

setup(
	name="labcom-retrieve-py",
	version="22.0.0",
	description="Python binding to LABCOM retrieve and dbstore",
	packages=['labcom'],
	install_requires=['numpy>=1.5.0'],
	scripts=src_scripts,
	py_modules=['labcom/Retriever','labcom/DBstorer','labcom/ArcData'],
	ext_modules=[
		Extension("labcom._retrieve",
			sources = retrieve_sources,
			define_macros = ext_macros,
			include_dirs = [RETRIEVE_INC_DIR],
			library_dirs = [RETRIEVE_LIB_DIR],
			libraries=[LIB_RETRIEVE]),
		Extension("labcom._dbstore",
			sources = dbstore_sources,
			define_macros = ext_macros,
			include_dirs = [RETRIEVE_INC_DIR],
			library_dirs = [RETRIEVE_LIB_DIR],
			libraries=[LIB_DBSTORE])],
)
