#!/usr/bin/python
#-*- coding: utf-8 -*-
'''
DBstoreのサンプルスクリプト

[ source code ]

if __name__ == '__main__' :
    from labcom.Retriever import Retriever 
    from labcom.DBstorer import DBstorer
     
    print 'SampleDBstore START'
    try:
        p = Retriever()
        x = p.get("ECH_2Occd",110000,1,1)
        d = DBstorer()
        d.puts(90000001,7,"LABCOM","imazu@LHD.nifs.ac.jp","raw",x)
    except RetrieveError, e:
        print 'Retrieve Error : ', e.func,e.msg,e.code 
    except DBstoreError, e:
        print 'DBstore Error : ',e.func,e.msg,e.code 
    
    print 'SampleDBstore END'
                    
'''
__version__ = '22.0.0'
__date__ = '2020-07-31'

if __name__ == '__main__' :
    from labcom.Retriever import Retriever,RetrieveError
    from labcom.DBstorer import DBstorer,DBstoreError
     
    print('SampleDBstore.py START')
    try:
        p = Retriever()
#        x = p.get("MIR2",117576,1,'MIR2_001(057)')
        x = p.get("RADH",117576,1,(2,3,9))
#    x = p.get("RADH",117576,1,9)
#        x = p.get("ECH_2Occd",110000,1,1)
        d = DBstorer()
        d.puts(90000002,13,"LABCOM","xxxx@LHD.nifs.ac.jp","raw",x)
    except RetrieveError as e:
        print('Retrieve Error : ', e.msg,' (',e.func,':',e.code,')') 
    except DBstoreError as e:
        print('DBstore Error : ', e.msg,' (',e.func,':',e.code,')') 

    print('SampleDBstore.py END')
                    
